### Method

# Gdk Surfacedestroy

#### Declaration [src]

    void
    gdk_surface_destroy (
      GdkSurface* surface
    )

#### Description [src]

Destroys the window system resources associated with `surface` and decrements `surface`‘s reference count.

The window system resources for all children of `surface` are also destroyed, but the children’s reference counts are not decremented.

Note that a surface will not be destroyed automatically when its reference count reaches zero. You must call this function yourself before that happens.